curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/account_owners' \ -H 'Accept: application/vnd.mx.atrium.v1+json' \ -H 'MX-API-Key: {mx_api_key}' \ -H 'MX-Client-ID: {mx_client_id}'
{
"account_owners": [
{
"guid": "ACO-123",
"user_guid": "USR-123",
"member_guid": "MBR-123",
"account_guid": "ACT-123",
"owner_name": "Donnie Darko",
"address": "123 This Way",
"city": "Middlesex",
"state": "VA",
"postal_code": "00000-0000",
"country": "US",
"email": "donnie@darko.co",
"phone": "555-555-5555"
},
{
"guid": "ACO-456",
"user_guid": "USR-123",
"member_guid": "MBR-123",
"account_guid": "ACT-123",
"owner_name": "Susan Darko",
"address": "456 That Way",
"city": "Middlesex",
"state": "VA",
"postal_code": "00000-0000",
"country": "US",
"email": "susan@darko.co",
"phone": "555-555-5555"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 2,
"total_pages": 1
}
}
Premium Features
List Account Owners
This endpoint checks whether identity data is available for a specific member.
GET
/
users
/
{user_guid}
/
members
/
{member_guid}
/
account_owners
curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/account_owners' \ -H 'Accept: application/vnd.mx.atrium.v1+json' \ -H 'MX-API-Key: {mx_api_key}' \ -H 'MX-Client-ID: {mx_client_id}'
{
"account_owners": [
{
"guid": "ACO-123",
"user_guid": "USR-123",
"member_guid": "MBR-123",
"account_guid": "ACT-123",
"owner_name": "Donnie Darko",
"address": "123 This Way",
"city": "Middlesex",
"state": "VA",
"postal_code": "00000-0000",
"country": "US",
"email": "donnie@darko.co",
"phone": "555-555-5555"
},
{
"guid": "ACO-456",
"user_guid": "USR-123",
"member_guid": "MBR-123",
"account_guid": "ACT-123",
"owner_name": "Susan Darko",
"address": "456 That Way",
"city": "Middlesex",
"state": "VA",
"postal_code": "00000-0000",
"country": "US",
"email": "susan@darko.co",
"phone": "555-555-5555"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 2,
"total_pages": 1
}
}
Use this endpoint to check whether identity data is available for a specific member. It returns the
account_owners resource, which contains an array with data about the account owners for each account associated with the member.
curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/account_owners' \ -H 'Accept: application/vnd.mx.atrium.v1+json' \ -H 'MX-API-Key: {mx_api_key}' \ -H 'MX-Client-ID: {mx_client_id}'
{
"account_owners": [
{
"guid": "ACO-123",
"user_guid": "USR-123",
"member_guid": "MBR-123",
"account_guid": "ACT-123",
"owner_name": "Donnie Darko",
"address": "123 This Way",
"city": "Middlesex",
"state": "VA",
"postal_code": "00000-0000",
"country": "US",
"email": "donnie@darko.co",
"phone": "555-555-5555"
},
{
"guid": "ACO-456",
"user_guid": "USR-123",
"member_guid": "MBR-123",
"account_guid": "ACT-123",
"owner_name": "Susan Darko",
"address": "456 That Way",
"city": "Middlesex",
"state": "VA",
"postal_code": "00000-0000",
"country": "US",
"email": "susan@darko.co",
"phone": "555-555-5555"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 2,
"total_pages": 1
}
}
⌘I

